NOV13 - Feedback

Hello @all,

From my side, I can only be sorry due to the fact that the problems were too similar, but as I’ve mentioned to some people, they were devised with some months time difference, and, as such, I was completely unaware that they could be used together on the same contest.

MCHAIRS was actually written not even thinking about the binary exponentiation method, as I had seen its original derivation formula as a modifcation of the Binomial Theorem, so, I really didn’t thought about it much.

SPOTWO was intended to be an easy problem and I wrote my solution being mostly concerned with the implementation of a long arithmetic idea to “avoid” overflow of the number 2*N_bin… (I knew that around the number 524 thousand and something or 527 thousand and something, the number 2*N_bin would exceed the value of an ULL and that was the only reason I used 600.000 as an upper limit - again - I didn’t even realized the problem could be so easily solved as almost everyone did).

On the other hand, if I had found some way of failing the most naive solutions and use only the idea that Hiroto told me about (which is largely based on Fermat’s Little Theorem), then this problem would have been MEDIUM and not EASY.

Besides this small issue with my own problems, the only really big issue I have to point to the contests, is the way the tester’s and/or setter’s tend to classify the problem difficulty levels.

For instance, we are told, while setting problems, to send an e-mail with our thought difficulty level and the problem requisites, possibly even BEFORE the problem is selected.

This is not good.

This is not good because a problem I can see as being MEDIUM or HARD can easily be seen as SIMPLE or even CAKEWALK by the given month’s tester.

Since the problems must be previously selected by taking into account the difficulty level we thought about (at least on an early stage), this opens room for a lot of ambiguity on the problem difficulty level classification.

I think that if we can have a better problem selection method based on the problem difficulty, than we can have more balanced contests…

(This will also eventually matter for the Tester him/herself, as if a tester is more experienced than other, he/she can have different points of view on the difficulty levels)

Best,

Bruno

One issue I have with the hard problems is that two of them, GERALD2 and MONOPLOY, are nearly identical in terms of solving technique, so basically the same people solved them. Not only it creates an unfair advantage for people well-versed in that technique, but it provides less opportunities to learn new stuff, which is my personal reason for participating in the contests.

8 Likes
  1. One think that was really irritating was slow website throughout the contest (and still is, took me 5 minutes to sign in to write this comment). For a 10 days long it should make little difference; but as someone pointed out it is a busy month for students because of the upcoming exams and course projects, setting aside time to solve some problems only to find the site hanging is a mood killer.

  2. Many questions were raised regarding why scores were not visible for challenge problem. No admin answered them :frowning: That coupled with 1) above was too much to take.

  3. Question quality has been dwindling since MAY13. JUNE13 had too easy questions. JULY13 was comparatively good, but after that all contests had sharp difference between easy and tough problems. Some more problems on medium level would be nice.

3 Likes

the only thing i want to improve is the way editorials are explained.they must be written keeping in mind about naive users. taking case of chefgm editorials:this editorial what i think was not written
keeping in mind that there might be some users who don’t have any knowledge about game theory(specifically no mention was there regarding what is partial or impartial game)…

1 Like

Sadly, russian translations were not of good quality. With all the respect to translators, it might be done better. Russian translation doesn’t sound like a Russian language, more like a machine translation. Also there are some errors in translation, for example ‘logistic’ was translated into Russian as ‘logic’ and was making no sense in Russian version. Also I don’t understand why name “Sashen’ka” is not translated in Russian, it looks ugly being simply copied from English version as is.

I agree with everything @junior94 said, especially with “TEST CASES: In certain problems the test cases seem to be sort of weak.”

This happens in almost every long contest: that there is a problem with weak test cases, sometimes even many problems in one contest.

It’s quite unfair to users implementing a proper solution that will handle the given constraints only to find out that other users used much simpler solutions which would fail in certain specially-crafted inputs.

It’s also sad for those other users because they will never know the real difficulty of the problem, and thus will never learn new algorithms/techniques. It’s even worse because they will think that their solutions are correct or are fast enough even though they are not, just because the CodeChef judge ACed their submissions.

I think the team should consider making more exhaustive and powerful test cases, that will really stress-test the submissions in terms of time limit, corner cases, and will withstand most common greedy/heuristic solutions. This is especially important in a 10-day long contest where pretty much all kinds of greedy solutions and heuristics will appear. Please, when creating a problem, put yourself in the solver’s shoes and think of all possible greedy solutions, and try to create test cases that will break them. Also consider the naive solutions and find a way for them not to pass the time limit if they are not the intended solutions.

5 Likes

It’s hard to see where my solution failed. Often, I feel that I have the right solution but incorrect output format. Probably some extra characters at the end. Whenever I see “internal error” or Time with -1.00 value I have no clue what happened.

I dont like the partial test file rule.

1 Like

Yes as far as I am concerned I am really satisfied :slight_smile: got to learn really awesome things like how to do fast factorization even when numbers are greater than range of 10^6 :smiley:

this is what the motto of the contest is… that u learn new things, new algos… we shouldn’t be bothered by what others do :slight_smile:

1 Like

@deepai_dutta that p(q-1) thing is basic combinatorics, i learnt it in +1 only… :slight_smile:
so it was pretty easy…

3 Likes

At the moment I agree with point 6. The rejudging process for the challenge problem MUST be more transparent. The rejudging is currently not over and it’s not even sure that submissions are still being rejudged. The contest is not over until the rejudging of the submissions for the problem SEAVEC is over, so I prefer not to write any (more) feedback until the contest is really over.

@mugurelionut It seems that CodeChef announced on Facebook that the rejudging is done. I don’t believe it.

@admin Please look into the scores for the challenge problem as soon as possible. There is a lot of confusion whether all the submissions have been rejudged or not and the solutions are showing different scores in the practice section. Please clarify this immediately.

1 Like

@kevinsogo: Thanks for the link. I wasn’t aware of that. Yes, the rejudging is NOT over. But I am very disappointed to see that not even the admins have a method of knowing if the rejudging is over or not. I think now that this post-contest rejudging was a very poor decision, because it seems that the existing infrastructure is not sufficient for a smooth post-contest rejudging process.

6 Likes

@admin: As others have mentioned, please check if the rejudge had been run against all submissions or only the ones with TLE & WA? While the rejudge was going on, I noticed that only my submissions which were TLE were rejudged (inferred from the animated icon during submission judging) while the AC ones were not.

@deepai_dutta Just curious, whats with p^(q-1)? Is it that numbers of this form have prime number of factors? Please correct me if I am mistaken.

@beethoven yes. number of the form p^(q-1) have prime no. of factors provided both p and q are prime

There is an issue in the rejudging of challenge problem of November Long 2013. We are looking into this. We will let you know once we figure out the issue and do a rejudge again. Please bear with us.

We regret the inconvenience caused.

1 Like

What was your method for MCHAIRS?